<div class="ibox-filter">

  <div id="activity-filter-body" class="collapse show">

    <div class="p-2">

      <form [formGroup]="formGroup"  (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row">

          <div class="col-md-2 mt-2">
            <ngx-select formControlName="fundsType" [items]="fundsTypeList" [optionTextField]="'value'" [optionValueField]="'code'" size='small'
                        [placeholder]="'FIELD.CARNET_ORDRE.TYPE_FONDS'|translate"></ngx-select>
          </div>

          <div class="col-md-2 mt-2">
            <ngx-select formControlName="fund" [items]="fundsList" [optionTextField]='"value"' [optionValueField]="'code'" size='small'
                        [placeholder]="'FIELD.CARNET_ORDRE.FONDS'|translate"></ngx-select>
          </div>


          <div class="col-md-2 mt-2">
            <ngx-select formControlName="sens" [items]="sensList" [optionTextField]='"value"' [optionValueField]="'code'" size='small'
                        [placeholder]="'FIELD.CARNET_ORDRE.SENS'|translate"></ngx-select>
          </div>

          <div class="col-md-2 mt-2">
            <ngx-select formControlName="clientType" [items]="typeClientList" [optionTextField]='"value"' [optionValueField]="'code'" size='small'
                         [placeholder]="'FIELD.CARNET_ORDRE.TYPE_CLIENT'|translate"></ngx-select>
          </div>

          <div class="col-md-2 mt-2">
            <ngx-select formControlName="client"
                        [items]="clientList" [optionTextField]="'value'" [optionValueField]="'code'" size='small'
                        [placeholder]="'FIELD.CARNET_ORDRE.CLIENT'|translate"></ngx-select>
          </div>

          <div class="col-md-2 mt-2">
            <input type="text" class="form-control form-control-sm" formControlName="date"
                   [owlDateTime]="date" [placeholder]="'FIELD.CARNET_ORDRE.DATE'|translate">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="date">
              <i class="ri-calendar-line"></i>
            </span>
            <owl-date-time #date [pickerType]="'calendar'"></owl-date-time>

          </div>

          <div class="col-md-12  buttons-oriontation text-right mt-2">
            <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                    (click)="initFormGroup(); onSubmit()" ><i class="ri-arrow-go-back-line"></i> </button>
            <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i
              class="ri-search-2-line"></i></button>
          </div>
        </div>

      </form>

    </div>

  </div>

</div>
